## org.opencyc.util
Class CycUtils

    java.lang.Object
      |
      +--org.opencyc.util.CycUtils

public class CycUtils
extends java.lang.Object

This is a placeholder class for general cyc utilities. All methods in this class are static.

THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Author:
  tbrussea

Method Summary
`static java.lang.Object` `evalSubL(CycAccess connection, java.lang.String subl)` Evaluates the given SubL expression given on the cyc image provided by the CycAccess object given.
`static CycWorker` `evalSubLInBackground(CycAccess conn, java.lang.String subl, CycWorkerListener cwl)` Evalutes the given subl expression on the given Cyc image in the background.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evalSubL

    public static java.lang.Object evalSubL(CycAccess connection,
                                            java.lang.String subl)

  Evaluates the given SubL expression given on the cyc image provided by the CycAccess object given. Really just a thin wrapper around "CycAccess.converseObject()" because I found that to be a very non-intuitive method name. Currently all exceptions are caught and stack traces printed to standard err. I expect that the API on this method may change in the near future to throw appropriate exceptions.
  Parameters:
    `conn` - The CycAccess object to use for communications with the appropriate Cyc image.
    `subl` - The string that represents the SubL expression that needs to be evaluated.
  Returns:
    The value of evaluating the passed in subl expression or null if an error occurred.

### evalSubLInBackground

    public static CycWorker evalSubLInBackground(CycAccess conn,
                                                 java.lang.String subl,
                                                 CycWorkerListener cwl)

  Evalutes the given subl expression on the given Cyc image in the background. When the evaluation is complete the CycWorkerListener passed to this method is notified via an event callback.
  Parameters:
    `conn` - The CycAccess object to use for communications with the appropriate Cyc image.
    `subl` - The string that represents the SubL expression that needs to be evaluated.
    `cwl` - The CycWorkerListener that should be notified of the background tasks progress.
  Returns:
    The CycWorker object that is doing the work. It will be either already be started.
  See Also:
    `CycWorker`, `CycWorkerListener`